stack-1.3.2: The Haskell Tool Stack

Safe Haskell | None
Language | Haskell2010

Stack.ConfigCmd

Description

Make changes to project or global configuration.

# Documentation

data ConfigCmdSet #

Constructors

ConfigCmdSetResolver AbstractResolver |
ConfigCmdSetSystemGhc CommandScope Bool |
ConfigCmdSetInstallGhc CommandScope Bool |

configCmdSetParser :: Parser ConfigCmdSet #

cfgCmdSet :: (StackMiniM env m, HasConfig env, HasGHCVariant env) => ConfigCmdSet -> m () #

cfgCmdSetName :: String #

cfgCmdName :: String #